## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 6;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Tests require azure-storage-blob, which is not yet packaged. 😢
%bcond_with     tests

%global         srcname     azure-keyvault-administration

Name:           python-%{srcname}
Version:        4.4.0~b2
%global         pypi_version 4.4.0b2
Release:        %autorelease
Summary:        Microsoft Azure Key Vault Administration Client Library for Python
License:        MIT
URL:            https://pypi.org/project/%{srcname}/
Source0:        %{pypi_source %{srcname} %{pypi_version}}

BuildArch:      noarch

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(azure-devtools)
BuildRequires:  python3dist(azure-identity)
BuildRequires:  python3dist(azure-keyvault-keys)
BuildRequires:  python3dist(azure-mgmt-keyvault)
BuildRequires:  python3dist(azure-mgmt-resource)
BuildRequires:  python3dist(azure-sdk-tools)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-aiohttp)
BuildRequires:  python3dist(python-dotenv)
%endif

%global _description %{expand:
Microsoft Azure Key Vault Administration Client Library for Python}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{srcname}-%{pypi_version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files azure


%check
%pyproject_check_import

%if %{with tests}
%pytest
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md


%changelog
## START: Generated by rpmautospec
* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 4.4.0~b2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 4.4.0~b2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jun 08 2024 Python Maint <python-maint@redhat.com> - 4.4.0~b2-4
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 4.4.0~b2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 4.4.0~b2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Nov 14 2023 Major Hayden <major@redhat.com> - 4.4.0~b2-1
- Update to 4.4.0b2 rhbz#2249655

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 4.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jun 29 2023 Python Maint <python-maint@redhat.com> - 4.3.0-2
- Rebuilt for Python 3.12

* Tue May 23 2023 Major Hayden <major@redhat.com> - 4.3.0-1
- Update to 4.3.0 rhbz#2209184

* Wed May 17 2023 Major Hayden <major@redhat.com> - 4.0.0b3-11
- Migrated to SPDX license

* Mon May 08 2023 Major Hayden <major@redhat.com> - 4.0.0b3-10
- S

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.0b3-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.0b3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 27 2022 Major Hayden <major@redhat.com> - 4.0.0b3-7
- Add pyproject_check_import

* Wed Jun 15 2022 Python Maint <python-maint@redhat.com> - 4.0.0b3-6
- Rebuilt for Python 3.11

* Thu Apr 28 2022 Major Hayden <major@mhtx.net> - 4.0.0b3-5
- Switch to rpmautospec

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.0b3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Sep 08 2021 Major Hayden <major@mhtx.net> - 4.0.0b3-3
- Move obsoletes into subpackage

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.0b3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 18 2021 Major Hayden <major@mhtx.net> - 4.0.0b3-1
- Initial import (#1971761)
## END: Generated by rpmautospec
